Page MenuHomePhabricator

Make [Formatter|Parser]Options nullable/optional everywhere
Closed, ResolvedPublic

Description

Reasoning: These options are not used and/or empty most of the time. We even removed $options parameters from certain constructors. This is a step towards possibly getting rid of more of these $options. Making them optional is free in PHP and not a breaking change.

Some of these patches are fixing actual bugs, like using the wrong $options variable or calling methods on an $options object that can be null.

Event Timeline

thiemowmde claimed this task.
thiemowmde raised the priority of this task from to Unbreak Now!.
thiemowmde updated the task description. (Show Details)
thiemowmde added a subscriber: thiemowmde.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 10 2015, 3:33 PM
Lydia_Pintscher lowered the priority of this task from Unbreak Now! to High.Mar 16 2015, 9:33 AM
Lydia_Pintscher set Security to None.
Lydia_Pintscher moved this task from incoming to ready to go on the Wikidata board.
thiemowmde updated the task description. (Show Details)Mar 17 2015, 1:29 PM
thiemowmde updated the task description. (Show Details)Mar 17 2015, 1:37 PM
JanZerebecki updated the task description. (Show Details)Mar 23 2015, 5:22 PM
JanZerebecki updated the task description. (Show Details)Mar 23 2015, 5:41 PM
JanZerebecki added a subscriber: JanZerebecki.
JanZerebecki updated the task description. (Show Details)Mar 23 2015, 9:36 PM

Change 199858 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Update data-values/interfaces to 0.1.5

https://gerrit.wikimedia.org/r/199858

thiemowmde updated the task description. (Show Details)Mar 26 2015, 11:55 AM
daniel updated the task description. (Show Details)Mar 30 2015, 1:06 PM
daniel updated the task description. (Show Details)
daniel updated the task description. (Show Details)Mar 30 2015, 1:08 PM

Change 199858 merged by Daniel Kinzler:
Update data-values/interfaces to 0.1.5

https://gerrit.wikimedia.org/r/199858

daniel closed this task as Resolved.Mar 30 2015, 1:28 PM
daniel updated the task description. (Show Details)
daniel added a subscriber: daniel.

all linked changes have been merged